{
    "fields": [
        {
            "name": "chromosome",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "First position 1-based of the alternate. If null, the start is the same of the variant.",
            "name": "start",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "End position 1-based of the alternate. If null, the end is the same of the variant.",
            "name": "end",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "doc": "Reference allele. If null, the reference is the same of the variant.",
            "name": "reference",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Alternate allele.",
            "name": "alternate",
            "type": "string"
        },
        {
            "name": "type",
            "type": {
                "doc": "Type of variation, which depends mostly on its length.\n<ul>\n<li>SNVs involve a single nucleotide, without changes in length</li>\n<li>MNVs involve multiple nucleotides, without changes in length</li>\n<li>Indels are insertions or deletions of less than SV_THRESHOLD (50) nucleotides</li>\n<li>Structural variations are large changes of more than SV_THRESHOLD nucleotides</li>\n<li>Copy-number variations alter the number of copies of a region</li>\n</ul>",
                "name": "VariantType",
                "symbols": [
                    "SNV",
                    "MNV",
                    "INDEL",
                    "SV",
                    "INSERTION",
                    "DELETION",
                    "TRANSLOCATION",
                    "INVERSION",
                    "COPY_NUMBER",
                    "COPY_NUMBER_GAIN",
                    "COPY_NUMBER_LOSS",
                    "DUPLICATION",
                    "TANDEM_DUPLICATION",
                    "BREAKEND",
                    "NO_VARIATION",
                    "SYMBOLIC",
                    "MIXED",
                    "SNP",
                    "MNP",
                    "CNV"
                ],
                "type": "enum"
            }
        }
    ],
    "name": "AlternateCoordinate",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}